Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeValueExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--javax.management.ValueExp
                  |
                  +--javax.management.AttributeValueExp

public class AttributeValueExp
extends ValueExp

The AttributeValueExp class represents attributes used as arguments to relational constraints. An AttributeValueExp may be used anywhere a ValueExp is required.

See Also:
  Serialized Form

Constructor Summary
`AttributeValueExp()` Basic Constructor.
`AttributeValueExp(java.lang.String attr)` Creates a new AttributeValueExp representing the specified object attribute, named attr.

Method Summary
`ValueExp` | `apply(java.lang.Object object)` Applies the AttributeValueExp on an MBean.
`protected java.lang.Object` | `getAttribute(java.lang.Object mo)`
`java.lang.String` | `getAttributeName()` Returns a string representation of the name of the attribute.
`java.lang.String` | `toString()` Returns the string representing its value

Methods inherited from class javax.management.QueryEval
`setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueExp

    public AttributeValueExp()

  Basic Constructor.

### AttributeValueExp

    public AttributeValueExp(java.lang.String attr)

  Creates a new AttributeValueExp representing the specified object attribute, named attr.

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns a string representation of the name of the attribute.
  Returns:
    A string representation of the name of the attribute.

### apply

    public ValueExp apply(java.lang.Object object)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the AttributeValueExp on an MBean.
  Parameters:
    `object` - The MBean on which the AttributeValueExp will be applied.
  Returns:
    The ValueExp.
  Throws:
    BadAttributeValueExpException -
    InvalidApplicationException -
    BadStringOperationException -
    BadBinaryOpValueExpException -
  Overrides:
    apply in class ValueExp

### toString

    public java.lang.String toString()

  Returns the string representing its value
  Overrides:
    toString in class java.lang.Object

### getAttribute

    protected java.lang.Object getAttribute(java.lang.Object mo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD